import Link from 'next/link';
import React from 'react';
export const LeftCol = () => {
  const destinations = [
    { name: 'UAE', path: '/uae' },
    { name: 'United Kingdom', path: '/united-kingdom' },
    { name: 'Singapore', path: '/singapore' },
    { name: 'Turkey', path: '/turkey' },
    { name: 'Switzerland', path: '/switzerland' },
    { name: 'France', path: '/test' },
  ];

  return (
    <div>
      <div className='flex flex-col space-y-4'>
        <h1 className='text-2xl font-bold '>
          Welcome to {''}
          <span className='text-emerald-600'>PassportMe</span>
        </h1>
        <div>
          <input
            type='text'
            placeholder='Enter Destination'
            className='mt-4 rounded-full w-full lg:w-3/4 border border-black py-4 px-6 focus:border focus:border-emerald-600 focus:outline-emerald-600'
          />
        </div>
        <div className='pt-4 text-gray-500 text-sm'>
          Suggestions
        </div>
        <div className='flex gap-2 flex-wrap'>
          {destinations.map((destination) => (
            <Link key={destination.name} href={destination.path}>
              <button
                className='py-2 px-4 bg-emerald-100 rounded-full hover:bg-emerald-200 focus:bg-emerald-300'
              >
                {destination.name}
              </button>
            </Link>
          ))}
        </div>
      </div>
    </div>
  );
};
